Site Links
Home
Features
Documentation
Pricing & Order
Members Area
Support Options
UBBDev.com
UBBWiki.com
Who's Online Now
1 registered members (Ruben), 65 guests, and 243 spiders.
Key: Admin, Global Mod, Mod
Member Spotlight
whk
whk
Portsmouth, RI
Posts: 86
Joined: January 2009
Show All Member Profiles 
Top Posters(30 Days)
Gizmo 15
M4TT 11
FREAK 11
Ruben 6
mmkk 5
isaac 4
Latest Photos
Chinese Buddhist temple.
My buddha beads.
Rendered Walls
Multi-Screen wallpaper
Stockholm Metro
Previous Thread
Next Thread
Print Thread
UBBT 7.6 Install #259446
02/25/17 10:56 PM
02/25/17 10:56 PM
Joined: May 2004
Posts: 13
J
jbergmann Offline OP
stranger
jbergmann  Offline OP
stranger
J
Joined: May 2004
Posts: 13
I am receiving the following error when I try ubbt 7.6....

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /var/www/ubbt/libs/mysql.inc.php:21 Stack trace: #0 /var/www/ubbt/libs/ubbthreads.inc.php(92): sql->connect() #1 /var/www/ubbt/ubbthreads.php(53): require_once('/var/www/ubbt/l...') #2 /var/www/ubbt/index.php(19): include('/var/www/ubbt/u...') #3 {main} thrown in /var/www/ubbt/libs/mysql.inc.php on line 21

Fedora 25 x64, UBBT 7.6.0, and PHP 7.0.16, Zend Engine v3.0.0.

I think mysql_connect() was depreciated in 5.6 and removed in 7.0.....

Express Hosting
Express Hosting "We are the official hosting company of UBB.threads. Ask us about our free migration services to migrate your UBB.threads installation."
Re: UBBT 7.6 Install [Re: jbergmann] #259447
02/25/17 10:58 PM
02/25/17 10:58 PM
Joined: Jun 2006
Posts: 16,785
Portland, OR; USA
Gizmo Offline
UBB.threads Developer
Gizmo  Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 16,785
Portland, OR; USA
UBB.threads does not support PHP7.

If you'd have used the search you'd find this topic talked to death.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: UBBT 7.6 Install [Re: Gizmo] #259448
02/25/17 11:09 PM
02/25/17 11:09 PM
Joined: May 2004
Posts: 13
J
jbergmann Offline OP
stranger
jbergmann  Offline OP
stranger
J
Joined: May 2004
Posts: 13
Darn frown I have an old Fedora machine that has php 5.2.9 so v7.6 will not upgrade....then I have a newer machine that has php 7.0.16 that is too new...

Thanks for the quick response.

Re: UBBT 7.6 Install [Re: jbergmann] #259449
02/25/17 11:10 PM
02/25/17 11:10 PM
Joined: Jun 2006
Posts: 16,785
Portland, OR; USA
Gizmo Offline
UBB.threads Developer
Gizmo  Offline
UBB.threads Developer
Joined: Jun 2006
Posts: 16,785
Portland, OR; USA
If you're installing from a repo, or using a WAMP install, there should be a copy of PHP5.6 available; but UBB.threads v7.6.0 requires PHP 5.3-5.6.


I am a Web Development Contractor, I do not work for UBBCentral. I have provided free User to User Support since the beginning of these support forums.
Forums: A Gardeners Forum Scouters World
UBB.threads: UBBWiki, UBB Styles, UBB.Sitemaps
Longtime Supporter & Resident Post-A-Holic
VNC Web Services: Code Modifications, Upgrades, Styling, Coding Services, Disaster Recovery, and more!
Re: UBBT 7.6 Install [Re: jbergmann] #259450
02/25/17 11:13 PM
02/25/17 11:13 PM
Joined: Apr 2004
Posts: 1,004
California
isaac Offline
UBB.threads Developer
isaac  Offline
UBB.threads Developer
Joined: Apr 2004
Posts: 1,004
California
Upgrade that php 5.2 to at least php 5.3. Go to php 5.6 if you can -- at the very least, do it for the sake of security.

PHP5.2 was released November, 2006
It was only supported until January 2011

https://en.wikipedia.org/wiki/PHP#Release_history

Re: UBBT 7.6 Install [Re: Gizmo] #259451
02/25/17 11:22 PM
02/25/17 11:22 PM
Joined: May 2004
Posts: 13
J
jbergmann Offline OP
stranger
jbergmann  Offline OP
stranger
J
Joined: May 2004
Posts: 13
Thanks Gizmo.... I will keep looking but it appears that Fedora 25 came with php v7.0.12-2. It also appears that downgrading could be problematic and running two different versions on the same server is not advised either.


Shout Box
Today's Birthdays
No Birthdays
Recent Topics
Users Unable to Upload Avatar
by M4TT. 12/13/17 08:51 AM
Shout Box Sound Effect
by M4TT. 11/29/17 08:28 PM
Ad island
by TGCsanderson. 11/25/17 06:41 PM
Taking to long to connect to DB
by AstroCat. 11/24/17 12:34 PM
Forum Statistics
Forums36
Topics35,015
Posts190,535
Members12,045
Most Online978
Jun 24th, 2007
Random Image
Powered by UBB.threads™ PHP Forum Software 7.6.1
(Snapshot build 20171106)